Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 685646 - x11-misc/xxkb-1.11.1 with gnome-base/librsvg-2.40.20 - xxkb: SVG file `/usr/share/xxkb/en.svg': Operation not supported
Summary: x11-misc/xxkb-1.11.1 with gnome-base/librsvg-2.40.20 - xxkb: SVG file `/usr/s...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords:
: 685824 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-05-11 18:09 UTC by Alex Efros
Modified: 2020-11-24 19:02 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Efros 2019-05-11 18:09:25 UTC
xxkb became broken at some point within last 2 weeks. It wasn't updated, so it's probably happens because of updating something else.

With USE=svg it show no tray language icon and output this on start:

$ xxkb &
xxkb: SVG file `/usr/share/xxkb/en.svg': Operation not supported
xxkb: SVG file `/usr/share/xxkb/ru.svg': Operation not supported
xxkb: SVG file `/usr/share/xxkb/su.svg': Operation not supported

With USE=-svg it works without errors but looks like language icons is too large so I see only small part of language icon in tray (I'm using fluxbox).

I believe USE=-svg behaviour is very old and main reason to use USE=svg, which worked just fine before this issue happens.

Files looks fine and can be viewed with image viewer without any issues:
$ ls -l /usr/share/xxkb
total 36
-r--r--r-- 1 root root  288 May 11 20:53 bg.svg
-r--r--r-- 1 root root 1273 May 11 20:53 by.svg
-r--r--r-- 1 root root  502 May 11 20:53 de.svg
-r--r--r-- 1 root root  522 May 11 20:53 en.svg
-r--r--r-- 1 root root 1948 May 11 20:53 il.svg
-r--r--r-- 1 root root  345 May 11 20:53 pl.svg
-r--r--r-- 1 root root  221 May 11 20:53 ru.svg
-r--r--r-- 1 root root 1177 May 11 20:53 su.svg
-r--r--r-- 1 root root  182 May 11 20:53 ua.svg

$ cat ~/.xxkbrc
XXkb.mainwindow.type:               tray
XXkb.mainwindow.in_tray:            true
XXkb.mainwindow.geometry:           16x16+0+0
XXkb.button.enable:	            no

I've checked strace, but it doesn't looks like this error has anything with mentioned image files - there was no attempt to open them.
Re-emerging gnome-base/librsvg didn't helps too.


Portage 2.3.62 (python 3.6.5-final-0, default/linux/amd64/17.0/hardened, gcc-8.3.0, glibc-2.28-r6, 4.19.37-gentoo x86_64)
=================================================================
System uname: Linux-4.19.37-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600K_CPU_@_3.40GHz-with-gentoo-2.6
KiB Mem:    24636832 total,   5523088 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sat, 11 May 2019 10:15:01 +0000
Head commit of repository gentoo: f3117c52312796e143d7b26550a8fb3f43f938eb
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.31.1 p7) 2.31.1
ccache version 3.6 [enabled]
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/ccache:          3.6::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r6::gentoo
sys-devel/gcc:            8.3.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.14-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.28-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.nl.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: 

local
    location: /usr/local/portage
    masters: gentoo
    priority: 0

powerman
    location: /home/powerman/proj/gentoo/powerman-overlay
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /service /usr/inferno/keydb /usr/inferno/lib /usr/inferno/services /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/i2p/scripts /var/log /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage-distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --autounmask-write --alert=y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=native -O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs ccache clean-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://mirrors.soeasyto.com/distfiles.gentoo.org/ http://gentoo.supp.name/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://mirror.netcologne.de/gentoo/"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en ru ru_RU"
MAKEOPTS="-j8"
PKGDIR="/usr/portage-packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi adns aes alac alsa amd64 avx bash-completion berkdb bluetooth branding bzip2 cairo caps cdda cddb cdr chm cli consolekit crypt cups cxx dbus dga djvu dri dts dvb dvd dvdr egl eglfs emboss encode exif fam ffmpeg firefox flac fontconfig gallium gdbm gif glamor gpg gtk gtkstyle hardened iconv icu id3tag idn ipv6 jpeg jpeg2k lcms libnotify libtirpc mac mad matroska mmx mmxext mng mp3 mp4 mpeg multilib musepack ncurses network-cron nls nptl nsplugin ogg opengl openmp pam pango pclmul pcre pdf perl pie png policykit popcnt ppds projectm qt5 readline rtc sdl seccomp spell sse sse2 sse3 sse4_1 sse4_2 ssl ssp ssse3 startup-notification svg tcpd theora tiff truetype udev udisks unicode upower usb vaapi vdpau vim-syntax vorbis wavpack wxwidgets x264 x265 xattr xcb xml xscreensaver xtpax xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="log_config vhost_alias autoindex alias rewrite dir deflate filter mime negotiation auth_basic authn_file authz_host authz_user authz_groupfile cgi actions headers env setenvif authn_core authz_core unixd socache_shmcb access_compat" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="evdev" KERNEL="linux" L10N="en ru" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fastcgi geo gzip limit_conn limit_req map memcached proxy referer rewrite scgi split_clients ssi upstream_ip_hash userid uwsgi fancyindex" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" QEMU_SOFTMMU_TARGETS="x86_64 i386" QEMU_USER_TARGETS="x86_64 i386" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="nvidia nouveau" XFCE_PLUGINS="clock trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2019-05-13 13:25:32 UTC
*** Bug 685824 has been marked as a duplicate of this bug. ***
Comment 2 globus 2019-05-14 10:37:28 UTC
Hello, sorry my bad English.

After upgrading to gnome-base/librsvg-2.40.20, X11-misc/xxkb failed with error " xxkb: SVG file `/usr/share/xxkb/en.svg': Operation not supported
xxkb: SVG file `/usr/share/xxkb/su.svg': Operation not supported
xxkb: SVG file `/usr/share/xxkb/ru.svg': Operation not supported" and no icons are shown. After downgrade to gnome-base/librsvg-2.40.18 everything works without problems.
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2019-05-14 11:10:02 UTC
Not sure how this could be fixed.
Comment 4 Alex Efros 2019-05-15 19:31:15 UTC
(In reply to globus from comment #2)
> After downgrade to gnome-base/librsvg-2.40.18 everything works without problems.

I can confirm this. Only package on my system which require gnome-base/librsvg-2.40.20 was gnome-chess, so I just removed it and downgrade.


(In reply to Jeroen Roovers from comment #3)
> Not sure how this could be fixed.

Not sure is it xxkb or librsvg should be fixed. Probably worth reporting this issue to both upstream packages?
Comment 5 Alex Efros 2020-02-11 09:31:56 UTC
It looks like it was fixed in librsvg-2.42.3.
Comment 6 Phazeus 2020-02-25 18:10:27 UTC
Also have this bug with the same packages version.
Comment 7 segmentation fault 2020-11-24 19:02:29 UTC
I can also confirm this bug, exactly as described,  with gnome-base/librsvg-2.40.21. Upgrading to gnome-base/librsvg-2.48.8 solves the issue.